package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"targetindexfield"}
)
@XmlRootElement(
   name = "TARGETINDEX"
)
public class TARGETINDEX {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "UNIQUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String unique;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlElement(
      name = "TARGETINDEXFIELD",
      required = true
   )
   protected List<TARGETINDEXFIELD> targetindexfield;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getUNIQUE() {
      return this.unique;
   }

   public void setUNIQUE(String value) {
      this.unique = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public List<TARGETINDEXFIELD> getTARGETINDEXFIELD() {
      if (this.targetindexfield == null) {
         this.targetindexfield = new ArrayList();
      }

      return this.targetindexfield;
   }
}
